import { NgModule }            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import { OpenaireDepositBySubjectResultComponent } from './depositBySubjectResult.component';

import {DepositBySubjectResultsRoutingModule} from './depositBySubjectResult-routing.module';
import {DepositBySubjectResultsModule  } from '../../openaireLibrary/deposit/datasets/depositBySubjectResults.module';
import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {IsRouteEnabled} from '../../openaireLibrary/error/isRouteEnabled.guard'

@NgModule({
  imports: [
    CommonModule, FormsModule,
    DepositBySubjectResultsModule,
    DepositBySubjectResultsRoutingModule
  ],
  declarations: [

    OpenaireDepositBySubjectResultComponent

  ],
  exports: [
    OpenaireDepositBySubjectResultComponent
   ],
  providers:    [FreeGuard,PreviousRouteRecorder, IsRouteEnabled]
})
export class LibDepositBySubjectResultsModule { }
