import { NgModule }            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import { OpenaireDepositDatasetsComponent } from './depositDatasets.component';
 import {DepositDatasetsRoutingModule} from './depositDatasets-routing.module';
import {DepositDatasetsModule} from '../../openaireLibrary/deposit/datasets/depositDatasets.module';
import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {IsRouteEnabled} from '../../openaireLibrary/error/isRouteEnabled.guard'
@NgModule({
  imports: [
    CommonModule, FormsModule,
    DepositDatasetsModule,
    DepositDatasetsRoutingModule
  ],
  declarations: [

    OpenaireDepositDatasetsComponent

  ],
  exports: [
    OpenaireDepositDatasetsComponent
   ],
  providers:    [FreeGuard,PreviousRouteRecorder, IsRouteEnabled]
})
export class LibDepositDatasetsModule { }
