import { NgModule }            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import { OpenaireDepositPublicationsComponent } from './depositPublications.component';

import {DepositPublicationsRoutingModule} from './depositPublications-routing.module';
import {DepositPublicationsModule} from '../../openaireLibrary/deposit/publications/depositPublications.module';
import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {IsRouteEnabled} from '../../openaireLibrary/error/isRouteEnabled.guard'
@NgModule({
  imports: [
    CommonModule, FormsModule,
    DepositPublicationsModule,
    DepositPublicationsRoutingModule
  ],
  declarations: [
    OpenaireDepositPublicationsComponent
  ],
  exports: [
    OpenaireDepositPublicationsComponent,
   ],
  providers:    [FreeGuard,PreviousRouteRecorder, IsRouteEnabled]
})
export class LibDepositPublicationsModule { }
