import { NgModule }            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import { OpenaireDepositPublicationsResultComponent } from './depositPublicationsResult.component';

import {DepositPublicationsResultRoutingModule} from './depositPublicationsResult-routing.module';
import {DepositPublicationsResultsModule} from '../../openaireLibrary/deposit/publications/depositPublicationsResults.module';
import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {IsRouteEnabled} from '../../openaireLibrary/error/isRouteEnabled.guard'
@NgModule({
  imports: [
    CommonModule, FormsModule,
    DepositPublicationsResultsModule,
    DepositPublicationsResultRoutingModule
  ],
  declarations: [
    OpenaireDepositPublicationsResultComponent
  ],
  exports: [
    OpenaireDepositPublicationsResultComponent
   ],
  providers:    [FreeGuard,PreviousRouteRecorder, IsRouteEnabled]
})
export class LibDepositPublicationsResultsModule { }
