import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule} from '@angular/forms';

import {AdvancedSearchDataProvidersRoutingModule} from './advancedSearchDataProviders-routing.module';
import {OpenaireAdvancedSearchDataProvidersComponent} from './advancedSearchDataProviders.component';

import {FreeGuard} from '../../openaireLibrary/login/freeGuard.guard';
import {IsRouteEnabled} from '../../openaireLibrary/error/isRouteEnabled.guard';
import {SearchDataProvidersModule} from "../../openaireLibrary/searchPages/searchDataProviders.module";

@NgModule({
  imports: [
    CommonModule, FormsModule,
    AdvancedSearchDataProvidersRoutingModule,
    SearchDataProvidersModule

  ],
  declarations: [
    OpenaireAdvancedSearchDataProvidersComponent
   ],
  providers:[FreeGuard, IsRouteEnabled],
  exports: [
    OpenaireAdvancedSearchDataProvidersComponent
     ]
})
export class LibAdvancedSearchDataProvidersModule { }
